package net.locusworks.test;

import static org.junit.Assert.*;

import org.junit.Test;

import net.locusworks.common.utils.Utils;

/**
 * Test cases for the Utils class
 * @author Isaac Parenteau
 * @since 1.0.0-RELEASE
 *
 */
public class UtilsTest {

  @Test
  public void testSafeString() {
    assertNotNull(Utils.safeString(null));
    assertTrue(Utils.safeString(null).isEmpty());
    assertFalse(Utils.safeString("hello world").isEmpty());
  }
  
  @Test
  public void testEmptyString() {
    assertTrue(Utils.isEmptyString(null));
    assertTrue(Utils.isEmptyString(""));
    assertTrue(Utils.isEmptyString(" "));
    assertFalse(Utils.isEmptyString("foo"));
    assertFalse(Utils.isEmptyString("   bar   "));
  }
  
  @Test
  public void testToInteger() {
    assertTrue(Utils.toInteger("Hello word", 2) == 2);
    assertTrue(Utils.toInteger("23", 5023) == 23);
  }

}
